Subject: Re: bug#27830: 26.0.50; Left fringe gets truncated by a pixel in window not sharing that edge with frame

From: martin rudalics <[email-masked]>
Date: Wed, 11 Oct 2017 10:33:42 +0200

> Yes. In other GTK apps you can hold the mouse anywhere near the edge
 > of a scroll bar and resize it that way, but that's a feature for
 > another day.

Either the application must be able to discern scroll bar and border
drags from the direction of the initial drag (if the drag occurs on the
scroll bar) or you have no visual indication of the area where such an
operation is defined until we show some sort of resize arrow.  And then
that resize arrow will always pop up when the mouse gets too near to a
border.  Even if we make all of this customizable, it's still clumsy.

I earlier used code that allowed to resize windows by dragging a fringe
but didn't like it much either.

martin